package com.nisum.employee.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EmployeeDto {

    private long employeeId;
    private String empName;
    private String emapSalary;
    private String Password;
    private long empDepartmentId;
    private String email;
    private LocalDateTime createdTime;
    private LocalDateTime updatedTime;

    private ApiError apiError;
}